# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/mypro/pakc/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Mypro\\Pakc\\": "packages/mypro/pakc/src",
            "Mypro\\Pakc\\Seeders\\": "packages/mypro/pakc/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Mypro\Pakc\Providers\PakcServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Pakc'  => Mypro\Pakc\Facades\Pakc::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Mypro\\Pakc\\Seeders\\PakcTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/pakc/{modulename}

**User**

    http://path-to-route-folder/user/pakc/{modulename}

**Public**

    http://path-to-route-folder/pakcs


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/pakc/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/pakc/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/pakc/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/pakc/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/pakc/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/pakc/{modulename}/{slug}
    METHOD: GET